package com.casic.electric.detector.bean;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

@Entity
public class LabelBean {
    @Id(autoincrement = true)
    private Long id;//主键ID
    // 标记对象类型
    private String markerObjType;
    // 编号
    private String markerNumber;
    // 名称
    private String objectName;
    // 电压等级
    private String voltageLevel;
    // 变压器型号
    private String transformerModel;
    // 管孔数量
    private String holeCount;
    // 装机容量
    private String capacity;
    // 井盖材质
    private String wellCoverMaterial;
    // 覆土深度
    private String coverDepth;
    // 变压器规格
    private String transformerSpec;
    // 进线名称
    private String inlineName;
    // 尺寸
    private String size;
    // 底部深度,井深
    private String bottomDepth;
    // 高度
    private String height;
    // 交叉管道
    private String crossPipeLine;
    // 进线数量
    private String inlineCount;
    // 线路编号
    private String lineNumber;
    // 中间接头个数
    private String jointCount;
    // 出线数量
    private String outlineCount;
    // 剩余通道
    private String remainingChannels;
    // 柜型
    private String cabinetType;
    // 连接电缆井一
    private String tieCable1;
    // 连接电缆井二
    private String tieCable2;
    // 套管材质
    private String casingMaterial;
    // 套管规格
    private String casingSpec;
    // 建设时间
    private String constructTime;
    // 运检单位
    private String inspectionUnit;
    // 所属区域
    private String area;
    // 所属道路
    private String road;
    // 备注1
    private String memo1;
    // 备注2
    private String memo2;
    // 备注3
    private String memo3;
    //标识器ID
    private String markerId;
    // 标识器类型
    private String markerType;
    // 责任人
    private String owner;
    // 标识器埋深
    private String markerDepth;
    // 电子标签数量
    private String electricTagCount;
    // 安装时间
    private String installedTime;
    // 经度
    private String longitude;
    // 纬度
    private String latitude;
    // 标识器备注1
    private String markerMemo1;
    // 标识器备注2
    private String markerMemo2;
    // 标识器备注3
    private String markerMemo3;
    // 图片路径
    private String imagePath;

    @Generated(hash = 1984568625)
    public LabelBean(Long id, String markerObjType, String markerNumber, String objectName,
                     String voltageLevel, String transformerModel, String holeCount, String capacity,
                     String wellCoverMaterial, String coverDepth, String transformerSpec,
                     String inlineName, String size, String bottomDepth, String height,
                     String crossPipeLine, String inlineCount, String lineNumber, String jointCount,
                     String outlineCount, String remainingChannels, String cabinetType,
                     String tieCable1, String tieCable2, String casingMaterial, String casingSpec,
                     String constructTime, String inspectionUnit, String area, String road,
                     String memo1, String memo2, String memo3, String markerId, String markerType,
                     String owner, String markerDepth, String electricTagCount, String installedTime,
                     String longitude, String latitude, String markerMemo1, String markerMemo2,
                     String markerMemo3, String imagePath) {
        this.id = id;
        this.markerObjType = markerObjType;
        this.markerNumber = markerNumber;
        this.objectName = objectName;
        this.voltageLevel = voltageLevel;
        this.transformerModel = transformerModel;
        this.holeCount = holeCount;
        this.capacity = capacity;
        this.wellCoverMaterial = wellCoverMaterial;
        this.coverDepth = coverDepth;
        this.transformerSpec = transformerSpec;
        this.inlineName = inlineName;
        this.size = size;
        this.bottomDepth = bottomDepth;
        this.height = height;
        this.crossPipeLine = crossPipeLine;
        this.inlineCount = inlineCount;
        this.lineNumber = lineNumber;
        this.jointCount = jointCount;
        this.outlineCount = outlineCount;
        this.remainingChannels = remainingChannels;
        this.cabinetType = cabinetType;
        this.tieCable1 = tieCable1;
        this.tieCable2 = tieCable2;
        this.casingMaterial = casingMaterial;
        this.casingSpec = casingSpec;
        this.constructTime = constructTime;
        this.inspectionUnit = inspectionUnit;
        this.area = area;
        this.road = road;
        this.memo1 = memo1;
        this.memo2 = memo2;
        this.memo3 = memo3;
        this.markerId = markerId;
        this.markerType = markerType;
        this.owner = owner;
        this.markerDepth = markerDepth;
        this.electricTagCount = electricTagCount;
        this.installedTime = installedTime;
        this.longitude = longitude;
        this.latitude = latitude;
        this.markerMemo1 = markerMemo1;
        this.markerMemo2 = markerMemo2;
        this.markerMemo3 = markerMemo3;
        this.imagePath = imagePath;
    }

    @Generated(hash = 1285554626)
    public LabelBean() {
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMarkerObjType() {
        return this.markerObjType;
    }

    public void setMarkerObjType(String markerObjType) {
        this.markerObjType = markerObjType;
    }

    public String getMarkerNumber() {
        return this.markerNumber;
    }

    public void setMarkerNumber(String markerNumber) {
        this.markerNumber = markerNumber;
    }

    public String getObjectName() {
        return this.objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public String getVoltageLevel() {
        return this.voltageLevel;
    }

    public void setVoltageLevel(String voltageLevel) {
        this.voltageLevel = voltageLevel;
    }

    public String getTransformerModel() {
        return this.transformerModel;
    }

    public void setTransformerModel(String transformerModel) {
        this.transformerModel = transformerModel;
    }

    public String getHoleCount() {
        return this.holeCount;
    }

    public void setHoleCount(String holeCount) {
        this.holeCount = holeCount;
    }

    public String getCapacity() {
        return this.capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getWellCoverMaterial() {
        return this.wellCoverMaterial;
    }

    public void setWellCoverMaterial(String wellCoverMaterial) {
        this.wellCoverMaterial = wellCoverMaterial;
    }

    public String getCoverDepth() {
        return this.coverDepth;
    }

    public void setCoverDepth(String coverDepth) {
        this.coverDepth = coverDepth;
    }

    public String getTransformerSpec() {
        return this.transformerSpec;
    }

    public void setTransformerSpec(String transformerSpec) {
        this.transformerSpec = transformerSpec;
    }

    public String getInlineName() {
        return this.inlineName;
    }

    public void setInlineName(String inlineName) {
        this.inlineName = inlineName;
    }

    public String getSize() {
        return this.size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getBottomDepth() {
        return this.bottomDepth;
    }

    public void setBottomDepth(String bottomDepth) {
        this.bottomDepth = bottomDepth;
    }

    public String getHeight() {
        return this.height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getCrossPipeLine() {
        return this.crossPipeLine;
    }

    public void setCrossPipeLine(String crossPipeLine) {
        this.crossPipeLine = crossPipeLine;
    }

    public String getInlineCount() {
        return this.inlineCount;
    }

    public void setInlineCount(String inlineCount) {
        this.inlineCount = inlineCount;
    }

    public String getLineNumber() {
        return this.lineNumber;
    }

    public void setLineNumber(String lineNumber) {
        this.lineNumber = lineNumber;
    }

    public String getJointCount() {
        return this.jointCount;
    }

    public void setJointCount(String jointCount) {
        this.jointCount = jointCount;
    }

    public String getOutlineCount() {
        return this.outlineCount;
    }

    public void setOutlineCount(String outlineCount) {
        this.outlineCount = outlineCount;
    }

    public String getRemainingChannels() {
        return this.remainingChannels;
    }

    public void setRemainingChannels(String remainingChannels) {
        this.remainingChannels = remainingChannels;
    }

    public String getCabinetType() {
        return this.cabinetType;
    }

    public void setCabinetType(String cabinetType) {
        this.cabinetType = cabinetType;
    }

    public String getTieCable1() {
        return this.tieCable1;
    }

    public void setTieCable1(String tieCable1) {
        this.tieCable1 = tieCable1;
    }

    public String getTieCable2() {
        return this.tieCable2;
    }

    public void setTieCable2(String tieCable2) {
        this.tieCable2 = tieCable2;
    }

    public String getCasingMaterial() {
        return this.casingMaterial;
    }

    public void setCasingMaterial(String casingMaterial) {
        this.casingMaterial = casingMaterial;
    }

    public String getCasingSpec() {
        return this.casingSpec;
    }

    public void setCasingSpec(String casingSpec) {
        this.casingSpec = casingSpec;
    }

    public String getConstructTime() {
        return this.constructTime;
    }

    public void setConstructTime(String constructTime) {
        this.constructTime = constructTime;
    }

    public String getInspectionUnit() {
        return this.inspectionUnit;
    }

    public void setInspectionUnit(String inspectionUnit) {
        this.inspectionUnit = inspectionUnit;
    }

    public String getArea() {
        return this.area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getRoad() {
        return this.road;
    }

    public void setRoad(String road) {
        this.road = road;
    }

    public String getMemo1() {
        return this.memo1;
    }

    public void setMemo1(String memo1) {
        this.memo1 = memo1;
    }

    public String getMemo2() {
        return this.memo2;
    }

    public void setMemo2(String memo2) {
        this.memo2 = memo2;
    }

    public String getMemo3() {
        return this.memo3;
    }

    public void setMemo3(String memo3) {
        this.memo3 = memo3;
    }

    public String getMarkerId() {
        return this.markerId;
    }

    public void setMarkerId(String markerId) {
        this.markerId = markerId;
    }

    public String getMarkerType() {
        return this.markerType;
    }

    public void setMarkerType(String markerType) {
        this.markerType = markerType;
    }

    public String getOwner() {
        return this.owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getMarkerDepth() {
        return this.markerDepth;
    }

    public void setMarkerDepth(String markerDepth) {
        this.markerDepth = markerDepth;
    }

    public String getElectricTagCount() {
        return this.electricTagCount;
    }

    public void setElectricTagCount(String electricTagCount) {
        this.electricTagCount = electricTagCount;
    }

    public String getInstalledTime() {
        return this.installedTime;
    }

    public void setInstalledTime(String installedTime) {
        this.installedTime = installedTime;
    }

    public String getLongitude() {
        return this.longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return this.latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getMarkerMemo1() {
        return this.markerMemo1;
    }

    public void setMarkerMemo1(String markerMemo1) {
        this.markerMemo1 = markerMemo1;
    }

    public String getMarkerMemo2() {
        return this.markerMemo2;
    }

    public void setMarkerMemo2(String markerMemo2) {
        this.markerMemo2 = markerMemo2;
    }

    public String getMarkerMemo3() {
        return this.markerMemo3;
    }

    public void setMarkerMemo3(String markerMemo3) {
        this.markerMemo3 = markerMemo3;
    }

    public String getImagePath() {
        return this.imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }
}
